diff --git a/combo/manager/forms.py b/combo/manager/forms.py
index aa23f6c5..9b8e931c 100644
--- a/combo/manager/forms.py
+++ b/combo/manager/forms.py
@@ -157,7 +157,7 @@ class PageVisibilityForm(forms.ModelForm):
         fields = ('public', 'groups')
 
     def __init__(self, *args, **kwargs):
-        super(PageVisibilityForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.fields['groups'].queryset = Group.objects.order_by('name')
 
 
@@ -167,7 +167,7 @@ class PageSelectTemplateForm(forms.ModelForm):
         fields = ('template_name',)
 
     def __init__(self, *args, **kwargs):
-        super(PageSelectTemplateForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.fields['template_name'].widget = forms.Select(choices=get_template_name_choices())
 
 
@@ -186,7 +186,7 @@ class PageEditRedirectionForm(forms.ModelForm):
         return value
 
     def save(self, *args, **kwargs):
-        page = super(PageEditRedirectionForm, self).save(*args, **kwargs)
+        page = super().save(*args, **kwargs)
         page.redirect_url = page.redirect_url.strip()
         page.save()
         return page
@@ -203,10 +203,10 @@ class PageEditIncludeInNavigationForm(forms.ModelForm):
         instance = kwargs['instance']
         initial = kwargs.pop('initial', {})
         initial['include_in_navigation'] = not instance.exclude_from_navigation
-        super(PageEditIncludeInNavigationForm, self).__init__(initial=initial, *args, **kwargs)
+        super().__init__(initial=initial, *args, **kwargs)
 
     def save(self, *args, **kwargs):
-        super(PageEditIncludeInNavigationForm, self).save(*args, **kwargs)
+        super().save(*args, **kwargs)
         self.instance.exclude_from_navigation = not self.cleaned_data['include_in_navigation']
         self.instance.save()
         return self.instance
@@ -241,7 +241,7 @@ class CellVisibilityForm(forms.Form):
                     initial['visibility'] = 'groups-none'
                 else:
                     initial['visibility'] = 'groups-any'
-        super(CellVisibilityForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
 
     def save(self):
         if self.cleaned_data['visibility'] == 'all':
diff --git a/combo/manager/views.py b/combo/manager/views.py
index 5ae494da..6c029b49 100644
--- a/combo/manager/views.py
+++ b/combo/manager/views.py
@@ -72,7 +72,7 @@ class HomepageView(ListView):
 
     def get_context_data(self, **kwargs):
         self.object_list = Page.get_as_reordered_flat_hierarchy(self.object_list)
-        context = super(HomepageView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['extra_actions'] = plugins.get_extra_manager_actions()
         context['collapse_pages'] = settings.COMBO_MANAGE_HOME_COLLAPSE_PAGES
         return context
@@ -138,7 +138,7 @@ class SiteImportView(FormView):
             for page in pages:
                 PageSnapshot.take(page, request=self.request, comment=_('imported'))
 
-        return super(SiteImportView, self).form_valid(form)
+        return super().form_valid(form)
 
 
 site_import = SiteImportView.as_view()
@@ -176,7 +176,7 @@ class PageAddView(CreateView):
         return kwargs
 
     def get_initial(self):
-        initial = super(PageAddView, self).get_initial()
+        initial = super().get_initial()
         if not Page.objects.exists():  # first page
             initial['title'] = _('Home')
         return initial
@@ -208,7 +208,7 @@ class PageEditView(UpdateView):
     comment = None
 
     def form_valid(self, form):
-        result = super(PageEditView, self).form_valid(form)
+        result = super().form_valid(form)
         PageSnapshot.take(self.get_object(), request=self.request, comment=self.comment)
         return result
 
@@ -228,7 +228,7 @@ class PageSelectTemplateView(PageEditView):
     def form_valid(self, form):
         old_template_name = self.get_object().template_name
         new_template_name = self.object.template_name
-        response = super(PageSelectTemplateView, self).form_valid(form)
+        response = super().form_valid(form)
         if old_template_name != new_template_name:
             old_placeholder_keys = [x.key for x in self.get_object().get_placeholders(request=self.request)]
             page_cells = CellBase.get_cells(page_id=self.object.id)
@@ -324,7 +324,7 @@ class PageView(DetailView):
     template_name = 'combo/page_view.html'
 
     def get_context_data(self, **kwargs):
-        context = super(PageView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         cell_type_groups = {}
         for cell_type in CellBase.get_all_cell_types():
             if not cell_type['group'] in cell_type_groups:
@@ -415,7 +415,7 @@ class PageDeleteView(DeleteView):
 
     def get_context_data(self, **kwargs):
         subpages = Page.objects.filter(parent=self.get_object().id)
-        context = super(PageDeleteView, self).get_context_data()
+        context = super().get_context_data()
         context['display_choice'] = True if subpages else False
         return context
 
@@ -445,7 +445,7 @@ class PageExportView(FormView):
         if with_children:
             pages = instance.get_descendants_and_me()
             ordered_pages = Page.get_as_reordered_flat_hierarchy(pages, root_page=instance)
-            filename_part = '{}_and_subpages'.format(instance.slug)
+            filename_part = f'{instance.slug}_and_subpages'
         else:
             ordered_pages = [instance]
             filename_part = instance.slug
@@ -489,7 +489,7 @@ class PageDuplicateView(FormView):
         return super().form_valid(form)
 
     def get_context_data(self, **kwargs):
-        context = super(PageDuplicateView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['page'] = Page.objects.get(id=self.kwargs['pk'])
         return context
 
@@ -516,7 +516,7 @@ class SnapshotRestoreView(DetailView):
     template_name = 'combo/snapshot_restore.html'
 
     def get_context_data(self, **kwargs):
-        context = super(SnapshotRestoreView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['page'] = Page.objects.get(id=self.kwargs['page_pk'])
         return context
 
@@ -557,7 +557,7 @@ class PageEditCellView(UpdateView):
         return [self.template_name or self.object.manager_form_template]
 
     def get_context_data(self, **kwargs):
-        context = super(PageEditCellView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context.update(self.get_object().get_extra_manager_context())
         context['cell'] = self.get_object()
         context['page'] = context['cell'].page
@@ -590,7 +590,7 @@ class PageEditCellView(UpdateView):
             form = self.get_form_class()(instance=self.object, prefix=self.get_prefix())
             response = self.form_invalid(form)  # avoid redirection
         else:
-            response = super(PageEditCellView, self).form_valid(form)
+            response = super().form_valid(form)
         PageSnapshot.take(
             self.object.page, request=self.request, comment=_('changed cell "%s"') % self.object
         )
@@ -615,7 +615,7 @@ class PageDeleteCellView(DeleteView):
         cell = self.get_object()
         comment = _('removed cell "%s"') % cell
         page = cell.page
-        response = super(PageDeleteCellView, self).delete(request, *args, **kwargs)
+        response = super().delete(request, *args, **kwargs)
         PageSnapshot.take(page, request=self.request, comment=comment)
         return response
 
@@ -787,13 +787,13 @@ class PageListCellAddLinkView(CreateView):
                 break
         if self.model is None:
             raise Http404
-        return super(PageListCellAddLinkView, self).dispatch(request, *args, **kwargs)
+        return super().dispatch(request, *args, **kwargs)
 
     def get_form_class(self):
         return self.model().get_default_form_class()
 
     def get_form_kwargs(self):
-        kwargs = super(PageListCellAddLinkView, self).get_form_kwargs()
+        kwargs = super().get_form_kwargs()
         kwargs['instance'] = self.model(page=self.cell.page, placeholder=self.cell.link_placeholder)
         return kwargs
 
@@ -804,7 +804,7 @@ class PageListCellAddLinkView(CreateView):
         else:
             form.instance.order = 1
         PageSnapshot.take(self.cell.page, request=self.request, comment=_('changed cell "%s"') % self.cell)
-        response = super(PageListCellAddLinkView, self).form_valid(form)
+        response = super().form_valid(form)
         self.cell.check_validity()
         return response
 
@@ -833,7 +833,7 @@ class PageListCellEditLinkView(UpdateView):
         if self.object.placeholder != self.cell.link_placeholder:
             raise Http404
         self.model = self.object.__class__
-        return super(PageListCellEditLinkView, self).dispatch(request, *args, **kwargs)
+        return super().dispatch(request, *args, **kwargs)
 
     def get_object(self, *args, **kwargs):
         return self.object
@@ -846,7 +846,7 @@ class PageListCellEditLinkView(UpdateView):
             self.object = form.save()
             response = self.form_invalid(form)  # avoid redirection
         else:
-            response = super(PageListCellEditLinkView, self).form_valid(form)
+            response = super().form_valid(form)
         PageSnapshot.take(self.cell.page, request=self.request, comment=_('changed cell "%s"') % self.cell)
         self.cell.check_validity()
         return response
@@ -876,13 +876,13 @@ class PageListCellDeleteLinkView(DeleteView):
         if self.object.placeholder != self.cell.link_placeholder:
             raise Http404
         self.model = self.object.__class__
-        return super(PageListCellDeleteLinkView, self).dispatch(request, *args, **kwargs)
+        return super().dispatch(request, *args, **kwargs)
 
     def get_object(self, *args, **kwargs):
         return self.object
 
     def delete(self, request, *args, **kwargs):
-        response = super(PageListCellDeleteLinkView, self).delete(request, *args, **kwargs)
+        response = super().delete(request, *args, **kwargs)
         PageSnapshot.take(self.cell.page, request=self.request, comment=_('changed cell "%s"') % self.cell)
         self.cell.check_validity()
         return response
diff --git a/combo/profile/__init__.py b/combo/profile/__init__.py
index 168afad3..1f546a8d 100644
--- a/combo/profile/__init__.py
+++ b/combo/profile/__init__.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # combo - content management system
 # Copyright (C) 2014-2018  Entr'ouvert
diff --git a/combo/profile/migrations/0001_initial.py b/combo/profile/migrations/0001_initial.py
index 3c0ee90c..0a70031a 100644
--- a/combo/profile/migrations/0001_initial.py
+++ b/combo/profile/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.conf import settings
 from django.db import migrations, models
 
diff --git a/combo/profile/models.py b/combo/profile/models.py
index 3159cddf..29cae2ed 100644
--- a/combo/profile/models.py
+++ b/combo/profile/models.py
@@ -49,10 +49,10 @@ class ProfileCell(JsonCellBase):
         user = kwargs.get('user')
         if not user or user.is_anonymous:
             return False
-        return super(ProfileCell, self).is_visible(**kwargs)
+        return super().is_visible(**kwargs)
 
     def get_cell_extra_context(self, context):
-        extra_context = super(ProfileCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         extra_context['profile_fields'] = OrderedDict()
         if extra_context.get('profile') is not None:
             for attribute in settings.USER_PROFILE_CONFIG.get('fields'):
diff --git a/combo/profile/utils.py b/combo/profile/utils.py
index 932d7de1..ebe24122 100644
--- a/combo/profile/utils.py
+++ b/combo/profile/utils.py
@@ -23,7 +23,7 @@ else:
     UserSAMLIdentifier = None
 
 
-class ProxiedUser(object):
+class ProxiedUser:
     is_authenticated = True
     is_anonymous = False
 
diff --git a/combo/public/templatetags/combo.py b/combo/public/templatetags/combo.py
index c492ee69..96dd0c7f 100644
--- a/combo/public/templatetags/combo.py
+++ b/combo/public/templatetags/combo.py
@@ -14,7 +14,6 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import absolute_import
 
 import copy
 import datetime
@@ -448,7 +447,7 @@ def endswith(string, substring):
 
 
 def parse_float(value):
-    if isinstance(value, six.string_types):
+    if isinstance(value, str):
         # replace , by . for French users comfort
         value = value.replace(',', '.')
     try:
@@ -590,7 +589,7 @@ def iterate_days_until(value, until):
 
 
 def parse_decimal(value, default=Decimal(0)):
-    if isinstance(value, six.string_types):
+    if isinstance(value, str):
         # replace , by . for French users comfort
         value = value.replace(',', '.')
     try:
@@ -689,7 +688,7 @@ def json_script(value, element_id):
 def phonenumber_fr(value, separator=' '):
     DROMS = ('262', '508', '590', '594', '596')
 
-    if not value or not isinstance(value, six.string_types):
+    if not value or not isinstance(value, str):
         return value
     number = value.strip()
     if not number:
diff --git a/combo/public/views.py b/combo/public/views.py
index 12031b57..8be4fd1c 100644
--- a/combo/public/views.py
+++ b/combo/public/views.py
@@ -364,12 +364,12 @@ def skeleton(request):
     response = render(request, template_name, ctx)
     response['X-Combo-Page-Id'] = str(selected_page.id)
     response['X-Combo-Skeleton-Pages'] = json.dumps(
-        dict([(x.id, utils.get_templated_url(x.redirect_url)) for x in same_domain_pages])
+        {x.id: utils.get_templated_url(x.redirect_url) for x in same_domain_pages}
     )
     return response
 
 
-class StyleDemoPage(object):
+class StyleDemoPage:
     def __init__(self, request):
         self.request = request
         self.template_name = request.GET.get('template') or 'standard'
@@ -413,8 +413,8 @@ class StyleDemoPage(object):
                     attr = 'value="%s"' % template_key
                     if template_key == self.page.template_name:
                         attr += ' selected="selected"'
-                    options_html.append(u'<option %s>%s</option>' % (attr, template_dict['name']))
-                cell.text = u'''<form><select name="template">%s</select>
+                    options_html.append('<option %s>%s</option>' % (attr, template_dict['name']))
+                cell.text = '''<form><select name="template">%s</select>
                                 <button>%s</button></form>''' % (
                     '\n'.join(options_html),
                     _('Select'),
@@ -584,7 +584,7 @@ def publish_page(request, page, status=200, template_name=None):
     # load assets
     for cell in cells:
         cell._asset_keys = cell.get_asset_slot_keys()
-    asset_keys = list(set(chain(*[c._asset_keys.keys() for c in cells])))
+    asset_keys = list(set(chain(*(c._asset_keys.keys() for c in cells))))
     assets = list(Asset.objects.filter(key__in=asset_keys))
     for cell in cells:
         cell._assets = {a.key: a for a in assets if a.key in cell._asset_keys.keys()}
@@ -620,7 +620,7 @@ def error404(request, *args, **kwargs):
         return page_not_found(request, *args, **kwargs)
 
     if Page.objects.exists() and all(
-        (not x.is_visible(request.user) for x in Page.objects.filter(parent_id__isnull=True))
+        not x.is_visible(request.user) for x in Page.objects.filter(parent_id__isnull=True)
     ):
         # if none of the first-level pages can be viewed by the user, display
         # native django error page.
diff --git a/combo/urls_utils.py b/combo/urls_utils.py
index b7b1bb14..02d3a8d3 100644
--- a/combo/urls_utils.py
+++ b/combo/urls_utils.py
@@ -29,7 +29,7 @@ else:
 
 class DecoratedURLPattern(URLPattern):
     def resolve(self, *args, **kwargs):
-        result = super(DecoratedURLPattern, self).resolve(*args, **kwargs)
+        result = super().resolve(*args, **kwargs)
         if result:
             result.func = self._decorate_with(result.func)
         return result
@@ -37,7 +37,7 @@ class DecoratedURLPattern(URLPattern):
 
 class DecoratedURLResolver(URLResolver):
     def resolve(self, *args, **kwargs):
-        result = super(DecoratedURLResolver, self).resolve(*args, **kwargs)
+        result = super().resolve(*args, **kwargs)
         if result:
             result.func = self._decorate_with(result.func)
         return result
diff --git a/combo/utils/forms.py b/combo/utils/forms.py
index ea4d4fb9..0e96a1ef 100644
--- a/combo/utils/forms.py
+++ b/combo/utils/forms.py
@@ -27,7 +27,7 @@ class MultiSortWidget(forms.SelectMultiple):
             self.with_checkboxes = kwargs.pop('with_checkboxes')
         else:
             self.with_checkboxes = False
-        super(MultiSortWidget, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
 
     def render(self, name, value, attrs=None, choices=(), renderer=None):
         # reorder choices to get them in the current value order
@@ -43,7 +43,7 @@ class MultiSortWidget(forms.SelectMultiple):
                 self.choices.insert(0, option_tuple)
 
         # render the <select multiple>
-        rendered = super(MultiSortWidget, self).render(name, value, attrs=attrs)
+        rendered = super().render(name, value, attrs=attrs)
 
         # include it in a <div> that will be turned into an appropriate widget
         # in javascript
@@ -61,7 +61,7 @@ class MultiSortWidget(forms.SelectMultiple):
 
     def render_options(self, choices, value):
         value = value.get('data') or []
-        return super(MultiSortWidget, self).render_options(choices, value)
+        return super().render_options(choices, value)
 
     def value_from_datadict(self, data, files, name):
         if isinstance(data, MultiValueDict):
@@ -70,4 +70,4 @@ class MultiSortWidget(forms.SelectMultiple):
 
     def format_value(self, value):
         value = value.get('data') or []
-        return super(MultiSortWidget, self).format_value(value)
+        return super().format_value(value)
diff --git a/combo/utils/requests_wrapper.py b/combo/utils/requests_wrapper.py
index b5ffffbd..ce064ab5 100644
--- a/combo/utils/requests_wrapper.py
+++ b/combo/utils/requests_wrapper.py
@@ -134,7 +134,7 @@ class Requests(RequestsSession):
 
         kwargs['timeout'] = kwargs.get('timeout') or settings.REQUESTS_TIMEOUT
 
-        response = super(Requests, self).request(method, url, **kwargs)
+        response = super().request(method, url, **kwargs)
         if log_errors and (response.status_code // 100 != 2):
             extra = {}
             if django_request:
diff --git a/setup.py b/setup.py
index 4567331f..46dc0eec 100644
--- a/setup.py
+++ b/setup.py
@@ -1,5 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-
 
 import glob
 import itertools
@@ -35,7 +34,7 @@ def get_version():
     tag exists, take 0.0- and add the length of the commit log.
     """
     if os.path.exists('VERSION'):
-        with open('VERSION', 'r') as v:
+        with open('VERSION') as v:
             return v.read()
     if os.path.exists('.git'):
         p = subprocess.Popen(
diff --git a/tests/settings.py b/tests/settings.py
index c8796142..344ed228 100644
--- a/tests/settings.py
+++ b/tests/settings.py
@@ -68,7 +68,7 @@ MEDIA_ROOT = tempfile.mkdtemp('combo-test')
 
 if 'DISABLE_MIGRATIONS' in os.environ:
 
-    class DisableMigrations(object):
+    class DisableMigrations:
         def __contains__(self, item):
             return True
 
diff --git a/tests/test_assets.py b/tests/test_assets.py
index a95062bc..7484ba33 100644
--- a/tests/test_assets.py
+++ b/tests/test_assets.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import base64
 import os
 import tarfile
@@ -66,7 +64,7 @@ def test_asset_set_api(app, john_doe):
     resp = app.post_json(reverse('api-assets-set', kwargs={'key': 'plop'}), params={}, status=400)
     assert resp.json.get('err') == 1
 
-    for invalid_value in (None, 'not base 64', u'éléphant'):
+    for invalid_value in (None, 'not base 64', 'éléphant'):
         resp = app.post_json(
             reverse('api-assets-set', kwargs={'key': 'plop'}),
             params={
@@ -121,8 +119,8 @@ def test_tar_untar_assets(some_assets):
     data = untar_assets_files(tar)
     assert [x['fields']['key'] for x in data['assets']] == ['banner', 'favicon']
     assert count_asset_files() == 2
-    assert open('%s/assets/test.png' % path, 'r').read() == 'test'
-    assert open('%s/assets/test2.png' % path, 'r').read() == 'foo'
+    assert open('%s/assets/test.png' % path).read() == 'test'
+    assert open('%s/assets/test2.png' % path).read() == 'foo'
     clean_assets_files()
 
 
@@ -143,8 +141,8 @@ def test_import_export_assets(some_assets, tmpdir):
     fd = open(filename, 'rb')
     import_assets(fd, overwrite=True)
     assert count_asset_files() == 2
-    assert open('%s/assets/test.png' % path, 'r').read() == 'test'
-    assert open('%s/assets/test2.png' % path, 'r').read() == 'test2'
+    assert open('%s/assets/test.png' % path).read() == 'test'
+    assert open('%s/assets/test2.png' % path).read() == 'test2'
     clean_assets_files()
     assert count_asset_files() == 0
     clean_assets_files()
diff --git a/tests/test_calendar.py b/tests/test_calendar.py
index 16080d32..ae8ba026 100644
--- a/tests/test_calendar.py
+++ b/tests/test_calendar.py
@@ -1,7 +1,7 @@
 import datetime
 import json
+from unittest import mock
 
-import mock
 import pytest
 from django.contrib.auth.models import User
 from django.core.cache import cache
diff --git a/tests/test_cells.py b/tests/test_cells.py
index e8c8ec1a..68789771 100644
--- a/tests/test_cells.py
+++ b/tests/test_cells.py
@@ -2,8 +2,8 @@ import datetime
 import json
 import os
 import re
+from unittest import mock
 
-import mock
 import pytest
 import requests
 from django.apps import apps
@@ -81,7 +81,7 @@ def test_media():
     cells = [TextCelleWithMedia() for i in range(3)]
     assert (
         force_text(sum((cell.media for cell in cells), Media()))
-        == u'<script type="text/javascript" src="/static/coincoin.js"></script>'
+        == '<script type="text/javascript" src="/static/coincoin.js"></script>'
     )
 
 
@@ -1340,21 +1340,17 @@ def test_related_cell_types_tracking():
     assert Page.objects.get(id=page.id).related_cells['cell_types'] == ['data_textcell']
 
     LinkCell(page=page, placeholder='content', order=0, title='Test', url='http://example.net').save()
-    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == set(
-        ['data_textcell', 'data_linkcell']
-    )
+    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == {'data_textcell', 'data_linkcell'}
 
     with CaptureQueriesContext(connection) as ctx:
         assert len(CellBase.get_cells(page=Page.objects.get(id=page.id))) == 3
         assert len(ctx.captured_queries) == 1 + 2
 
     TextCell.objects.get(order=1).delete()
-    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == set(
-        ['data_textcell', 'data_linkcell']
-    )
+    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == {'data_textcell', 'data_linkcell'}
 
     TextCell.objects.get(order=0).delete()
-    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == set(['data_linkcell'])
+    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == {'data_linkcell'}
 
     with CaptureQueriesContext(connection) as ctx:
         assert len(CellBase.get_cells(page=Page.objects.get(id=page.id))) == 1
@@ -1371,9 +1367,7 @@ def test_related_cell_types_tracking():
     Page.objects.get(id=page.id).get_cells()
 
     TextCell(page=page, placeholder='content', order=0, text='hello').save()
-    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == set(
-        ['data_textcell', 'data_linkcell']
-    )
+    assert set(Page.objects.get(id=page.id).related_cells['cell_types']) == {'data_textcell', 'data_linkcell'}
 
 
 def test_link_list_cell_duplicate():
@@ -1475,9 +1469,9 @@ def test_cell_assets(settings, app, admin_user):
     # only text cells are defined for assets
     settings.COMBO_CELL_ASSET_SLOTS = {'data_textcell': {'picture': {'prefix': 'Picture'}}}
     resp = app.get('/manage/assets/')
-    assert u'Picture — %s' % text_cell.get_label_for_asset() in resp.text
-    assert u'Picture — %s' % list_cell.get_label_for_asset() not in resp.text
-    assert u'Picture — %s' % item.get_label_for_asset() not in resp.text
+    assert 'Picture — %s' % text_cell.get_label_for_asset() in resp.text
+    assert 'Picture — %s' % list_cell.get_label_for_asset() not in resp.text
+    assert 'Picture — %s' % item.get_label_for_asset() not in resp.text
 
     # text and list link cells are defined for assets
     settings.COMBO_CELL_ASSET_SLOTS = {
@@ -1486,11 +1480,11 @@ def test_cell_assets(settings, app, admin_user):
         'data_linkcell': {'picture': {'prefix': 'Picture', 'suffix': 'test'}},
     }
     resp = app.get('/manage/assets/')
-    assert u'Picture — %s' % text_cell.get_label_for_asset() in resp.text
-    assert u'Picture — %s' % list_cell.get_label_for_asset() in resp.text
+    assert 'Picture — %s' % text_cell.get_label_for_asset() in resp.text
+    assert 'Picture — %s' % list_cell.get_label_for_asset() in resp.text
     # but items are excluded
     assert item.get_slug_for_asset() is None  # slug for asset is always None for items
-    assert u'Picture — %s' % item.get_label_for_asset() not in resp.text
+    assert 'Picture — %s' % item.get_label_for_asset() not in resp.text
 
     # test slugs
     link_cell = LinkCell.objects.create(
@@ -1500,13 +1494,13 @@ def test_cell_assets(settings, app, admin_user):
     )
     resp = app.get('/manage/assets/')
     assert link_cell.get_slug_for_asset() == ''
-    assert u'Picture — %s' % link_cell.get_label_for_asset() not in resp.text
+    assert 'Picture — %s' % link_cell.get_label_for_asset() not in resp.text
 
     link_cell.slug = 'foo'
     link_cell.save()
     resp = app.get('/manage/assets/')
     assert link_cell.get_slug_for_asset() == 'foo'
-    assert u'Picture — %s (test)' % link_cell.get_label_for_asset() in resp.text
+    assert 'Picture — %s (test)' % link_cell.get_label_for_asset() in resp.text
 
     link_cell.slug = ''
     link_cell.url = ''
@@ -1514,4 +1508,4 @@ def test_cell_assets(settings, app, admin_user):
     link_cell.save()
     resp = app.get('/manage/assets/')
     assert link_cell.get_slug_for_asset() == 'test_cell_assets'
-    assert u'Picture — %s (test)' % link_cell.get_label_for_asset() in resp.text
+    assert 'Picture — %s (test)' % link_cell.get_label_for_asset() in resp.text
diff --git a/tests/test_cron.py b/tests/test_cron.py
index 5aa8ed4a..dbcd35b9 100644
--- a/tests/test_cron.py
+++ b/tests/test_cron.py
@@ -1,4 +1,5 @@
-import mock
+from unittest import mock
+
 import pytest
 from django.core.management import call_command
 from django.core.management.base import CommandError
diff --git a/tests/test_dashboard.py b/tests/test_dashboard.py
index fc6cbfb1..b9cda9cf 100644
--- a/tests/test_dashboard.py
+++ b/tests/test_dashboard.py
@@ -1,8 +1,8 @@
 import datetime
 import json
 import os
+from unittest import mock
 
-import mock
 import pytest
 from django.apps import apps
 from django.conf import settings
